### Class

# EDataServer OAuth2ServiceBase

#### Description

    abstract class EDataServer.OAuth2ServiceBase : EDataServer.Extension
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- EExtension
- GObject

#### Descendants

- EOAuth2ServiceGoogle
- EOAuth2ServiceOutlook
- EOAuth2ServiceYahoo

#### Instance methods

##### Methods inherited from EExtension (1)

###### e_extension_get_extensible

Returns the object that `extension` extends.

since: 3.4

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from EExtension (1)

###### EDataServer.Extension:extensible

The object being extended.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataServerOAuth2ServiceBaseClass {
      EExtensionClass parent_class;

    }

No description available.

###### Class members

`parent_class: EExtensionClass`

  No description available.